##### basic_seq_packet_socket::basic_seq_packet_socket (4 of 6 overloads)

Construct a `basic_seq_packet_socket` on an existing native socket.

    basic_seq_packet_socket(
        asio::io_context & io_context,
        const protocol_type & protocol,
        const native_handle_type & native_socket);

This constructor creates a sequenced packet socket object to hold an existing native socket.

###### Parameters

io_context

  The `io_context` object that the sequenced packet socket will use to dispatch handlers for any asynchronous operations performed on the socket.

protocol

  An object specifying protocol parameters to be used.

native_socket

  The new underlying socket implementation.

###### Exceptions

asio::system_error

  Thrown on failure.